Package org.optaplanner.benchmark.impl.ranking

## Class TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

- java.lang.Object
- - org.optaplanner.benchmark.impl.ranking.TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

- All Implemented Interfaces:
    `Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>`
  Enclosing class:
    TotalRankSolverRankingWeightFactory

      public static class TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight
      extends Object
      implements Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TotalRankSolverRankingWeight​(SolverBenchmarkResult solverBenchmarkResult, int betterCount, int equalCount, int lowerCount)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight other)` |
    `boolean` | `equals​(Object o)` |
    `int` | `getBetterCount()` |
    `int` | `getEqualCount()` |
    `int` | `getLowerCount()` |
    `SolverBenchmarkResult` | `getSolverBenchmarkResult()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalRankSolverRankingWeight

          public TotalRankSolverRankingWeight​(SolverBenchmarkResult solverBenchmarkResult,
                                              int betterCount,
                                              int equalCount,
                                              int lowerCount)

  - ### Method Detail

    - #### getSolverBenchmarkResult

          public SolverBenchmarkResult getSolverBenchmarkResult()

    - #### getBetterCount

          public int getBetterCount()

    - #### getEqualCount

          public int getEqualCount()

    - #### getLowerCount

          public int getLowerCount()

    - #### compareTo

          public int compareTo​(TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight other)

      Specified by:
        `compareTo` in interface `Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`